%define plugin	suspendoutput
%define rel	15

Summary:	VDR plugin: Suspend output
Name:		vdr-plugin-%plugin
Version:	1.0.1
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPLv2+
URL:		http://phivdr.dyndns.org/vdr/vdr-suspendoutput/
Source:		http://phivdr.dyndns.org/vdr/vdr-suspendoutput/vdr-%plugin-%version.tgz
Patch0:		vdr-suspendoutput-1.0.1-mga-fix-build.patch
BuildRequires:	vdr-devel >= 1.6.0
Requires:	vdr-abi = %vdr_abi

%description
Suspend vdr output (display still image instead of live video).
Suspending live TV releases current channel (DVB card) for
recording(s) and saves some CPU time with software decoders.
Blanking display while replay is paused can avoid burning the image
on tube.

%prep
%setup -q -n %plugin-%version
%autopatch -p1
%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# Show suspend/resume entry in main menu (default)
var=MENU
param=-m
# Don't show entry in main menu
var=NOMENU
param=-M
# Suspend output after MIN minutes of inactivity (default: 120 minutes)
var=TIMER_MIN
param=--timer=TIMER_MIN
# Disable inactivity timer
var=NOTIMER
param=-T
# Allow suspend when replay is paused
var=PAUSED
param=-p
# Show VDR logo when suspended
var=LOGO
param=-l
# Blank screen when suspended
var=BLANK
param=-b
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
%vdr_plugin_install

%files -f %plugin.vdr
%doc README HISTORY


%changelog
* Tue Jun 21 2016 daviddavid <daviddavid> 1.0.1-15.mga6
+ Revision: 1037083
- add patch to fix build

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Jan 05 2015 anssi <anssi> 1.0.1-14.mga5
+ Revision: 808503
- rebuild with new vdr-devel with cauldron-compatible macros

* Mon Nov 24 2014 anssi <anssi> 1.0.1-13.mga5
+ Revision: 798686
- rebuild for new VDR

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.0.1-10.mga4
+ Revision: 544794
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 1.0.1-9.mga4
+ Revision: 500243
- rebuild for new VDR

* Mon Jan 14 2013 umeabot <umeabot> 1.0.1-8.mga3
+ Revision: 385340
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 malo <malo> 1.0.1-7.mga3
+ Revision: 326225
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 1.0.1-6.mga2
+ Revision: 221057
- rebuild for VDR 1.7.25

* Tue Mar 06 2012 anssi <anssi> 1.0.1-5.mga2
+ Revision: 219403
- rebuild for VDR 1.7.23
- rebuild for VDR 1.7.23

* Sat May 14 2011 anssi <anssi> 1.0.1-3.mga1
+ Revision: 98584
- drop old scriptlets
- imported package vdr-plugin-suspendoutput


* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 1.0.1-2mdv2010.0
+ Revision: 401088
- rebuild for new VDR

* Wed Jul 15 2009 Anssi Hannula <anssi@mandriva.org> 1.0.1-1mdv2010.0
+ Revision: 396138
- new version
- update license tag

* Fri Mar 20 2009 Anssi Hannula <anssi@mandriva.org> 0.2.5-8mdv2009.1
+ Revision: 359371
- rebuild for new vdr

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.2.5-7mdv2009.0
+ Revision: 197983
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.2.5-6mdv2009.0
+ Revision: 197728
- add vdr_plugin_prep
- bump buildrequires on vdr-devel

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.2.5-5mdv2008.1
+ Revision: 145208
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.2.5-4mdv2008.1
+ Revision: 103218
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.2.5-3mdv2008.0
+ Revision: 50052
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.2.5-2mdv2008.0
+ Revision: 42135
- rebuild for new vdr

* Sun Jun 10 2007 Anssi Hannula <anssi@mandriva.org> 0.2.5-1mdv2008.0
+ Revision: 37872
- initial Mandriva release

